Skip to content

getAvailableTrackedEntities

READ

Available tracked entities for an item at a location, one row per entity, with its bin, on-hand, and FEFO/FIFO order keys — for the shared TrackedEntityPicker.

POST /api/v1/inventory/getAvailableTrackedEntities
curl -X POST '<your-host>/api/v1/inventory/getAvailableTrackedEntities' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "locationId": "string"
  }'
Response
{
  "results": [
    {
      "availableQuantity": 0,
      "createdAt": "string",
      "expirationDate": "string",
      "readableId": "string",
      "status": "string",
      "storageUnitId": "string",
      "storageUnitName": "string",
      "trackedEntityId": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "excludeLineside": {
      "type": "boolean"
    },
    "excludeAllocated": {
      "type": "boolean"
    },
    "excludeLineId": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "itemId",
    "locationId"
  ]
}